couchdb-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Oliver Oli <oliver.oli+0...@gmail.com>
Subject Re: Installing on debian
Date Mon, 14 Sep 2009 11:23:05 GMT
installing the libmozjs-dev package should fix it.

On Sat, Sep 12, 2009 at 3:22 PM, dmcreynolds <david.mcreynolds@gmail.com> wrote:
> Forgive my ignorance. Having a little trouble building on debian.
>
> configure: error: Could not find the js library.
>
> Is the Mozilla SpiderMonkey library installed?
> www:/opt/couchdb# apt-get install spidermonkey-bin libmozjs0d
> Reading package lists... Done
> Building dependency tree... Done
> The following extra packages will be installed:
>  libnspr4-0d
> The following NEW packages will be installed:
>  libmozjs0d libnspr4-0d spidermonkey-bin
> 0 upgraded, 3 newly installed, 0 to remove and 28 not upgraded.
>
>  <snip>
>
> Setting up libnspr4-0d (1.8.0.15~pre080614i-0etch1) ...
>
> Setting up libmozjs0d (1.8.0.15~pre080614i-0etch1) ...
>
> Setting up spidermonkey-bin (1.8.0.15~pre080614i-0etch1) ...
>
> www:/opt/couchdb# ./configure
> checking for a BSD-compatible install... /usr/bin/install -c
> checking whether build environment is sane... yes
>
> <snip>
>
> checking for JS_NewContext in -ljs... no
> checking for JS_NewContext in -lmozjs... no
> configure: error: Could not find the js library.
>
> Is the Mozilla SpiderMonkey library installed?
>
>
>

Mime
View raw message